Package org.oasis_open.docs.ws_calendar.ns.soap

# Class ChildCollectionType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.GetPropertiesBasePropertyType
org.oasis_open.docs.ws_calendar.ns.soap.ChildCollectionType

public class ChildCollectionType extends GetPropertiesBasePropertyType
Type returned in GetPropertiesResponse to provide references to child collections.

Java class for ChildCollectionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ChildCollectionType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}GetPropertiesBasePropertyType">
           <sequence>
             <element name="href" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}calendarCollection"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}collection"/>
             </choice>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Object>`
  `calendarCollectionOrCollection`
  `protected String`
  `href`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChildCollectionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getCalendarCollectionOrCollection()`
  Gets the value of the calendarCollectionOrCollection property.
  `String`
  `getHref()`
  Gets the value of the href property.
  `void`
  `setHref(String value)`
  Sets the value of the href property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### href

    protected String href

  - ### calendarCollectionOrCollection

    protected List<Object> calendarCollectionOrCollection

- ## Constructor Details

  - ### ChildCollectionType

    public ChildCollectionType()

- ## Method Details

  - ### getHref

    public String getHref()
    Gets the value of the href property.
    Returns:
      possible object is `String`

  - ### setHref

    public void setHref(String value)
    Sets the value of the href property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCalendarCollectionOrCollection

    public List<Object> getCalendarCollectionOrCollection()
    Gets the value of the calendarCollectionOrCollection property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the calendarCollectionOrCollection property.

    For example, to add a new item, do as follows:

            getCalendarCollectionOrCollection().add(newItem);

    Objects of the following type(s) are allowed in the list `CalendarCollectionType` `CollectionType`